[Libreoffice-commits] buildbot.git: bin/tinbuild_phases.sh
Petr Mladek
pmladek at suse.cz
Thu Aug 29 05:47:54 PDT 2013
bin/tinbuild_phases.sh | 13 +++++++------
1 file changed, 7 insertions(+), 6 deletions(-)
New commits:
commit e4951ebbcab8754fa388fee7d6b3ea889c6add33
Author: Petr Mladek <pmladek at suse.cz>
Date: Thu Aug 29 14:43:45 2013 +0200
Pass the extra buildid info via configure rather than by make (fdo#58034)
We want to pass the information via the header file, so it works
also in incremental builds.
diff --git a/bin/tinbuild_phases.sh b/bin/tinbuild_phases.sh
index 38a652c..39954e7 100644
--- a/bin/tinbuild_phases.sh
+++ b/bin/tinbuild_phases.sh
@@ -18,6 +18,11 @@ pre_autogen()
do_autogen()
{
if [ "${retval}" = "0" ] ; then
+ export EXTRA_BUILDID=
+ if [ "${build_type}" = "tb" ] ; then
+ current_timestamp=$(sed -e "s/ /_/" "${METADATA_DIR?}/tb_${B}_current-git-timestamp.log")
+ EXTRA_BUILDID="TinderBox: $TINDER_NAME, Branch:${B}, Time: $current_timestamp"
+ fi
if ! $NICE ./autogen.sh ${DISTRO_CONFIG:+ --with-distro=${DISTRO_CONFIG}} >tb_${B}_autogen.log 2>&1 ; then
report_log=tb_${B}_autogen.log
report_msgs="autogen/configure failed - error is:"
@@ -47,19 +52,15 @@ do_clean()
do_make()
{
optdir=""
- if [ "${build_type}" = "tb" ] ; then
- current_timestamp=$(sed -e "s/ /_/" "${METADATA_DIR?}/tb_${B}_current-git-timestamp.log")
- EXTRA_BUILDID="TinderBox: $TINDER_NAME, Branch:${B}, Time: $current_timestamp"
- fi
if [ "${retval}" = "0" ] ; then
- if ! $NICE $WATCHDOG ${MAKE?} EXTRA_BUILDID="$EXTRA_BUILDID" -s $target >tb_${B}_build.log 2>&1 ; then
+ if ! $NICE $WATCHDOG ${MAKE?} -s $target >tb_${B}_build.log 2>&1 ; then
report_log=tb_${B}_build.log
report_msgs="build failed - error is:"
retval=1
else
# if we want to populate bibisect we need to 'install'
if [ "${build_type}" = "tb" -a $PUSH_TO_BIBISECT_REPO != "0" ] ; then
- if ! $NICE $WATCHDOG ${MAKE?} EXTRA_BUILDID="$EXTRA_BUILDID" -s install-tb >>tb_${B}_build.log 2>&1 ; then
+ if ! $NICE $WATCHDOG ${MAKE?} -s install-tb >>tb_${B}_build.log 2>&1 ; then
report_log=tb_${B}_build.log
report_msgs="build failed - error is:"
retval=1
More information about the Libreoffice-commits
mailing list